commit:     d8078b4b955243df4112a498ba5db687f94325ab
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  2 09:30:26 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct  2 11:22:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8078b4b

dev-python/botocore: Bump to 1.35.31

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/botocore/Manifest                |  1 +
 dev-python/botocore/botocore-1.35.31.ebuild | 76 +++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d1c3c6f07766..08f8a0042a4c 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
 DIST botocore-1.35.19.gh.tar.gz 13376459 BLAKE2B 
ba64ff0dc221782ce23592a6d6a146a680e2b86aa734673d4b16d6fd83355958b32af0e86a6769d2237e6234d80fb7fb23d52e3bcd2187cfe7d3646307fdea38
 SHA512 
6988f442b573e951766f1978325937a29141436d976baedb9c29959d5ff64014520c1bee4a8ce9b0d4226f62a6efb081a0532b2a825811e8cb2de3217ed311ae
 DIST botocore-1.35.24.gh.tar.gz 13406391 BLAKE2B 
ddc1c456e4358b3e28ca8f6a92230fb843309fd6059eaf909a9fb3de0bd580fb52389173187e0794054b9f1bc21a829f457b80067868c13fd7987fc682acd024
 SHA512 
7a1e8c1a85e8699a811a41b59cdefcee2457c5dfdf01d54f3048f894869c5c4033287909095bf15304e408c268cf772194655afffff280dbb6fd6c6daac1d8cb
 DIST botocore-1.35.29.gh.tar.gz 13404400 BLAKE2B 
41dab50dbed91c55df3c74cc3c57bd02a770b37445cf26690d199c62642b2d96d1c56d06cfea58ac23e6fa0826be99c684bd98d5e00e0e7aa8bcc0b599f70bce
 SHA512 
c82c942942c5ad7c0b941bf1e89003730bda68fd9a2f623e8db85690f8157f73517b0ff6b7009cb15461bbff41b7ee713c5ab935cc0eb96ba3ef3e3100e363e5
+DIST botocore-1.35.31.gh.tar.gz 13414420 BLAKE2B 
942455ccd037fb7cd9142a43cbc316ccc0ff8a7bc55f00096bea11527d2701cb6ac89984faca19793dcdbba5163bba330f1cddbbb9427a411d9db0cf50c9cfba
 SHA512 
972a9f72e2d922f95e7df23ee087787962062dc97b1aa1c7732fac7a4de17d8728bad0f38dfa4dd6963c285acdd10a327044e6aba43b54953d8ab9531619b927

diff --git a/dev-python/botocore/botocore-1.35.31.ebuild 
b/dev-python/botocore/botocore-1.35.31.ebuild
new file mode 100644
index 000000000000..4f1ad852bdc1
--- /dev/null
+++ b/dev-python/botocore/botocore-1.35.31.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+       https://github.com/boto/botocore/
+       https://pypi.org/project/botocore/
+"
+SRC_URI="
+       https://github.com/boto/botocore/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+RDEPEND="
+       <dev-python/jmespath-2[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin deps
+       sed -i -e "s:>=.*':':" setup.py || die
+
+       # unbundle deps
+       rm -r botocore/vendored || die
+       find -name '*.py' -exec sed -i \
+               -e 's:from botocore[.]vendored import:import:' \
+               -e 's:from botocore[.]vendored[.]:from :' \
+               {} + || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # rely on bundled six
+               tests/functional/test_six_imports.py::test_no_bare_six_imports
+               tests/functional/test_six_threading.py::test_six_thread_safety
+       )
+
+       case ${EPYTHON} in
+               python3.13)
+                       EPYTEST_DESELECT+=(
+                               # memory use tests, probably fragile
+                               
tests/functional/leak/test_resource_leaks.py::TestDoesNotLeakMemory
+                       )
+                       ;;
+       esac
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest tests/{functional,unit}
+}

Reply via email to